<?xml version="1.0" encoding="UTF-8"?>

<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">

	<bean id="javatunesDataSource" 
	      class="org.springframework.jdbc.datasource.DriverManagerDataSource">
		  <property name="driverClassName" value="org.apache.derby.jdbc.ClientDriver"/>
		  <property name="url" value="jdbc:derby://localhost:1527/JavaTunesDB"/>
		  <property name="username" value="guest"/>
		  <property name="password" value="password"/>
	</bean>
	
    <bean id="vendorAdapter" class="org.springframework.orm.jpa.vendor.HibernateJpaVendorAdapter">
       <property name="databasePlatform" value="org.hibernate.dialect.DerbyDialect"/>
       <property name="showSql" value="true"/>
       <property name="generateDdl" value="false"/>
    </bean> 	

    <bean id="javatunesEmf" class="org.springframework.orm.jpa.LocalContainerEntityManagerFactoryBean">
      <property name="dataSource" ref="javatunesDataSource"/> 
      <property name="persistenceUnitName" value="javatunes"/>
      <property name="jpaVendorAdapter" ref="vendorAdapter"/>
    </bean>
    
    
</beans>